Bug 986979 - It is not possible to assign any network to an cluster in WebAdmin portal.
It is not possible to assign any network to an cluster in WebAdmin portal.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
All Linux
urgent Severity high
: ---
: 3.3.0
Assigned To: Mike Kolesnik
Meni Yakove
network
: ZStream
Depends On:
Blocks: 987902
  Show dependency treegraph
 
Reported: 2013-07-22 10:27 EDT by Roman Hodain
Modified: 2016-02-10 14:49 EST (History)
11 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
The lexo-numeric comparator was using the Integer class which is limited to parsing numbers, and would cause an exception if the sequence of numbers was too long. Consequently, it was not possible to assign any network to any cluster or any virtual machine. This update changes the class to BigInteger which is unlimited in size, and has the required functionality. Now networks can be correctly assigned to clusters and virtual machines.
Story Points: ---
Clone Of:
: 987902 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:34:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 432263 None None None Never
oVirt gerrit 17238 None None None Never

  None (edit)
Description Roman Hodain 2013-07-22 10:27:47 EDT
Description of problem:
It is not possible to assign any network to any cluster on WebAdmin portal. It is also not possible to assign any network the any VM.

Version-Release number of selected component (if applicable):
3.2

How reproducible:
100%

Steps to Reproduce:
 1.) Log into the WebAdmin portal
 2.) Try to assign a network to a cluster.

Actual results:
No network is available

Expected results:
All networks are available

Additional info:
The browser console (Ctrl+Shift+k firefox) show the following message:

[16:26:43.391] Mon Jul 22 16:26:43 GMT+200 2013 com.google.gwt.logging.client.LogConfiguration
SEVERE: For input string: "${string}"
java.lang.NumberFormatException: For input string: "${string}"
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
	at Unknown.anonymous(Unknown Source)
Comment 6 Meni Yakove 2013-07-29 08:55:07 EDT
rhevm-3.3.0-0.11.master.el6ev.noarch
Comment 7 Martin Pavlik 2013-08-01 09:54:44 EDT
Verified

Works in  Red Hat Enterprise Virtualization Manager Version: 3.2.2-0.41.el6ev 

2013-Aug-01, 15:52 Network N00059000059 attached to Cluster Default
Comment 8 Martin Pavlik 2013-08-01 09:56:42 EDT
Please ignore comment 7 it belongs to bug 987902
Comment 9 Charlie 2013-11-27 19:11:31 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 10 errata-xmlrpc 2014-01-21 12:34:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.